<?php
    session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?php
	$selectcate=$_GET['selectcate'];
	$selectfunctionName=$_GET['selectfunctionName'];

	$ls=$_POST['ls'];
	$id=$_POST['id'];
	$articleTitle=$_POST['articleTitle'];
	$articleText=$_POST['articleText'];
	$articleBrief=$_POST['articleBrief'];
	$articleDate=$_POST['articleDate'];
	$cate=$_POST['cate'];;
	$functionName=$_POST['functionName'];;

	$Num=$_POST['Num'];

	
	switch($ls)
	{
		case "insert":
			$insert_sql=sprintf("insert into ls_article (articleTitle,articleText,articleDate,enable,articleBrief,cate,functionName,Num) values (%s,%s,%s,%s,%s,%s,%s,%s)",
						GetSQLValueString($articleTitle,"text"),
						GetSQLValueString($articleText,"text"),
						GetSQLValueString(date("Y-m-d"),"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($articleBrief,"text"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($functionName,"text"),
						GetSQLValueString($Num,"int")
						);
			$insert_query=$opendb->query($insert_sql);
			echo "<script>alert('数据添加成功！');location='managearticle.php?selectcate=".$selectcate."&selectfunctionName=".$selectfunctionName."';</script>";
			break;
			
		case "update":
	$update_sql=sprintf("update ls_article  set functionName=%s,articleTitle=%s,articleText=%s,articleBrief=%s,articleDate=%s,enable=%s,cate=%s,Num=%s where id=%s",
						GetSQLValueString($functionName,"text"),
						GetSQLValueString($articleTitle,"text"),
						GetSQLValueString($articleText,"text"),
						GetSQLValueString($articleBrief,"text"),
						GetSQLValueString($articleDate,"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($Num, "int"),
						GetSQLValueString($id,"int")
						);
									//echo $update_sql;
			$update_query=$opendb->query($update_sql);
			echo "<script>alert('数据更新成功！');location='managearticle.php?selectcate=".$selectcate."&selectfunctionName=".$selectfunctionName."';</script>";
	}
?>
</body>
</html>